> For the complete documentation index, see [llms.txt](https://developer.branta.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.branta.pro/design/ui.md).

# UI

Platforms may display Branta however best suits the *brand, device, and context.*

* Optional or Mandatory Links
* Consuming the Branta JSON API for custom workflows.
* Using the Branta QR Scanner
* Embedded Wallets

## Optional Verification

*Shown on same screen as the Checkout/Address/Invoice/QR.*

* Staging `https://staging.branta.pro/v2/verify/<address>`
* Production `https://guardrail.branta.pro/v2/verify/<address>`

The URLs are portable; no apps or login required.

{% hint style="info" %}
The above are web pages to let the user verify an address from any browser.
{% endhint %}

## Mandatory Verification

Require verification before paying. Programmable for custom thresholds:

* $1,000+
* $10,000+
* etc

## JSON API

* Staging `https://staging.guardrail.branta.pro/v2/payments/<address>`
* Production `https://guardrail.branta.pro/v2/payments/<address>`

```
{
  "destinations": {
    "value": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
    "zk": false
  },
  "created_at": "2025-09-02T12:34:56Z",
  "platform": "Example Platform",
  "platform_logo_url": "https://staging.branta.pro/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsiZGF0YSI6NDYzLCJwdXIiOiJibG9iX2lkIn19--742d857e192086ec8fc32f0d1792048c27da0d95/IMG_8391.jpeg",
  "ttl": 86400
}
```

## Using the Branta QR Scanner

Branta supports QR scanning from any device with a camera.

* <https://scan.branta.pro/scan>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.branta.pro/design/ui.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
